Subject: bug#19194: 24.4.50; `window-body-width' is not dynamic relative to font size changes

From: martin rudalics <[email-masked]>
Date: Sat, 20 Dec 2014 18:51:56 +0100

>> Probably to know how many characters fit into a line.  With a
 >> proportional font.
 >
 > But for a proportional font, that question has no meaningful answer.
 > Using the maximum width could yield a result that it a gross
 > underestimation.  I fail to see how this could be more useful than
 > using the average width.

Are we sure that all numbers fit into the average width.  If not, we can
get problems with line numbers.

BTW you probably might want to close bugs 1255, 8379 and 10960 now ;-)

 >> He wants the width of a default font "M" (where the default fount could
 >> be proportional) filtered by the frame it appears on and the remapping
 >> specified for the buffer the character appears in.
 >
 > Once you get the font used by a face on that frame and buffer, the
 > font parameters are fixed.

I lost you here.  Does that mean that with proportional fonts an "M" and
an "I" have different fonts?

martin